Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.shared
Interface PlotOptions.Series.DataLabels

All Known Implementing Classes:
  JSMPlotOptions.JSMSeries.JSMDataLabels

Enclosing interface:
  PlotOptions.Series

    public static interface PlotOptions.Series.DataLabels

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getColor()`
`int` | `getDistance()`
`java.lang.Object` | `getFormatter()`
`double` | `getRotation()`
`int` | `getX()`
`int` | `getY()`
`boolean` | `isEnabled()`
`PlotOptions.Series.DataLabels` | `setAlign(java.lang.String align)`
`PlotOptions.Series.DataLabels` | `setColor(java.lang.String color)`
`PlotOptions.Series.DataLabels` | `setDistance(int distance)`
`PlotOptions.Series.DataLabels` | `setEnabled(boolean enabled)`
`PlotOptions.Series.DataLabels` | `setFormatter(java.lang.Object createBasicPercentFormatter)`
`PlotOptions.Series.DataLabels` | `setRotation(double rotation)`
`PlotOptions.Series.DataLabels` | `setX(int x)`
`PlotOptions.Series.DataLabels` | `setY(int y)`

Method Detail

### setColor

    PlotOptions.Series.DataLabels setColor(java.lang.String color)

### setDistance

    PlotOptions.Series.DataLabels setDistance(int distance)

### setEnabled

    PlotOptions.Series.DataLabels setEnabled(boolean enabled)

### setFormatter

    PlotOptions.Series.DataLabels setFormatter(java.lang.Object createBasicPercentFormatter)

### setY

    PlotOptions.Series.DataLabels setY(int y)

### setX

    PlotOptions.Series.DataLabels setX(int x)

### setAlign

    PlotOptions.Series.DataLabels setAlign(java.lang.String align)

### setRotation

    PlotOptions.Series.DataLabels setRotation(double rotation)

### getColor

    java.lang.String getColor()

### getDistance

    int getDistance()

### isEnabled

    boolean isEnabled()

### getFormatter

    java.lang.Object getFormatter()

### getY

    int getY()

### getX

    int getX()

### getRotation

    double getRotation()

### getAlign

    java.lang.String getAlign()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD